> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Group History > Retrieves the messages from a private channel you belong to. ### Changelog | Version | Description | | ------- | ----------------------- | | 0.75.0 | Added `offset` property | | 0.48.0 | Added | ## OpenAPI ````json GET /api/v1/groups.history { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.history": { "get": { "tags": [ "Groups" ], "summary": "Get Group History", "description": "Retrieves the messages from a private channel you belong to.\n\n### Changelog\n| Version | Description |\n| ------- | ----------------------- |\n| 0.75.0 | Added `offset` property |\n| 0.48.0 | Added |", "operationId": "get-api-v1-groups.history", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/RoomId" }, { "name": "latest", "in": "query", "description": "The end of the time range of messages to retrieve. The default value is the current date and time.", "schema": { "type": "string" }, "example": "2025-09-30T13:42:25.304Z" }, { "name": "oldest", "in": "query", "description": "The start of the time range to retrieve messages.", "schema": { "type": "string" }, "example": "2025-05-30T13:42:25.304Z" }, { "name": "inclusive", "in": "query", "description": "Whether messages sent on the latest and oldest dates should be included. The default value is false.", "schema": { "type": "boolean" }, "example": true }, { "name": "unreads", "in": "query", "description": "Whether unread messages should be included in the response. The default value is false.", "schema": { "type": "boolean" }, "example": false }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "messages": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "t": { "type": "string" }, "groupable": { "type": "boolean" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "messages": [ { "_id": "AkzpHAvZpdnuchw2a", "rid": "ByehQjC44FwMeiLbX", "msg": "hi", "ts": "2025-12-09T12:50:51.555Z", "u": { "_id": "y65tAmHs93aDChMWu", "username": "testing" }, "_updatedAt": "2025-12-09T12:50:51.562Z" }, { "_id": "vkLMxcctR4MuTxreF", "t": "uj", "rid": "ByehQjC44FwMeiLbX", "ts": "2025-12-08T15:41:37.73Z", "msg": "testing2", "u": { "_id": "bRtgdhzM6PD9F8pSx", "username": "testing2" }, "groupable": false, "_updatedAt": "2025-12-08T16:03:25.235Z" }, { "_id": "bfRW658nEyEBg75rc", "t": "uj", "rid": "ByehQjC44FwMeiLbX", "ts": "2025-12-07T15:47:49.099Z", "msg": "testing", "u": { "_id": "nSYqWzZ4GsKTX4dyK", "username": "testing1" }, "groupable": false, "_updatedAt": "2025-12-07T15:47:49.099Z" }, { "_id": "pbuFiGadhRZTKouhB", "t": "uj", "rid": "ByehQjC44FwMeiLbX", "ts": "2025-12-06T17:57:38.635Z", "msg": "testing", "u": { "_id": "y65tAmHs93aDChMWu", "username": "testing" }, "groupable": false, "_updatedAt": "2025-12-06T17:57:38.635Z" } ], "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "RoomId": { "name": "roomId", "in": "query", "description": "The room id.", "required": true, "schema": { "type": "string" }, "example": "jdiue8TGkodp" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````